.sky {
  width: 100%;
  height: 100%;
  pointer-events: all;
}
.sky:hover + .sky__sun {
  animation: sun 25s linear infinite;
}
.sky:hover::before, .sky:hover::after {
  animation: sky 25s linear infinite;
  width: 100%;
  height: 100%;
  opacity: 0;
  background: linear-gradient(#272142 25%, #844422, #ff9347);
}
.sky::after {
  background: linear-gradient(#171953, #0f1b6c);
}
.sky__sun {
  width: 1000px;
  height: 1080px;
  top: -30px;
  right: 0;
  margin: auto;
  z-index: 1;
  filter: blur(10px) brightness(300%);
}
.sky__sun::before {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background: radial-gradient(#fff, #fb6f23);
  right: 0;
  margin: auto;
  transform: rotate(0deg);
}
.sky__sun:after {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  box-shadow: inset 0 30px 0 #d9fcff;
  background: rgba(117, 214, 255, 0.1);
  left: 60%;
  top: auto;
  bottom: 30px;
  z-index: 1;
  transform: rotate(0deg);
}
.sky__sun:hover {
  animation: sun 25s linear infinite;
}
.sky__sun:hover + .lights {
  animation: lights 25s linear infinite;
}

.stars {
  width: 100%;
  height: 80%;
  position: relative;
  top: 0;
  left: 0;
  right: 0;
  margin: auto;
  animation: stars 25s linear infinite;
  -webkit-box-reflect: below -300px;
  z-index: 0;
}
.stars::before {
  content: "";
  width: 5px;
  height: 5px;
  box-shadow: 193vmin 29vmin 0 -.2rem #ffffff , 5vmin 39vmin 0 -.2rem #ffe1e0 , 106vmin 46vmin 0 -.2rem #e0f6ff , 32vmin 6vmin 0 -.2rem #feffe0 , 178vmin 34vmin 0 -.1rem #f7e0ff , 168vmin 2vmin 0 -.1rem #e5e0ff , 84vmin 40vmin 0 -.2rem #ffe0e9 , 164vmin 23vmin 0 -.2rem #e9e0ff , 78vmin 37vmin 0 -.1rem #e0ffed , 52vmin 10vmin 0 -.2rem #ffe3e0 , 73vmin 55vmin 0 -.2rem #e0f9ff , 177vmin 28vmin 0 -.2rem #ffeee0 , 197vmin 2vmin 0 -.2rem #e0fff4 , 79vmin 40vmin 0 -.1rem #ffe1e0 , 111vmin 37vmin 0 -.2rem #ffe0e7 , 130vmin 29vmin 0 -.2rem #fffbe0 , 10vmin 4vmin 0 -.2rem #ffe0f9 , 138vmin 21vmin 0 -.2rem #fff2e0 , 16vmin 2vmin 0 -.1rem #e0fffc , 10vmin 9vmin 0 -.2rem #e0fdff , 82vmin 34vmin 0 -.1rem #e0e8ff , 169vmin 12vmin 0 -.1rem #ffe8e0 , 44vmin 24vmin 0 -.2rem #e0ffe9 , 81vmin 3vmin 0 -.1rem #ede0ff , 189vmin 46vmin 0 -.2rem #ffede0 , 100vmin 46vmin 0 -.2rem #ffe9e0 , 117vmin 58vmin 0 -.1rem #fdffe0 , 57vmin 20vmin 0 -.1rem #e0faff , 78vmin 3vmin 0 -.1rem #fff5e0 , 42vmin 58vmin 0 -.1rem #e0e4ff , 152vmin 17vmin 0 -.2rem #ffe0f0 , 124vmin 29vmin 0 -.1rem #ebe0ff , 126vmin 47vmin 0 -.2rem #fff0e0 , 61vmin 34vmin 0 -.2rem #e0fffd , 83vmin 22vmin 0 -.2rem #fff0e0 , 147vmin 12vmin 0 -.2rem #feffe0 , 109vmin 11vmin 0 -.1rem #fcffe0 , 36vmin 33vmin 0 -.2rem #e1e0ff , 164vmin 16vmin 0 -.1rem #eeffe0 , 91vmin 39vmin 0 -.1rem #e3ffe0 , 32vmin 20vmin 0 -.1rem #ffe0f3 , 54vmin 48vmin 0 -.2rem #e0ffe8 , 135vmin 42vmin 0 -.2rem #f6e0ff , 73vmin 54vmin 0 -.2rem lightyellow , 142vmin 20vmin 0 -.2rem #ffe0f4 , 185vmin 31vmin 0 -.1rem #e0feff , 25vmin 33vmin 0 -.2rem #e0ffef , 76vmin 21vmin 0 -.2rem #f9e0ff , 151vmin 27vmin 0 -.2rem #ffece0 , 78vmin 57vmin 0 -.1rem #faffe0;
  border-radius: 50%;
  position: absolute;
  top: 0;
  left: 0;
}
i .stars::before, .stars::after {
  width: 5px;
  height: 5px;
  top: 3%;
  left: 3%;
  background: #fff;
  border-radius: 50%;
  animation: stars 1s linear infinite;
  opacity: 0.5;
  box-shadow: 0 0 10px #fff;
}
i .stars::before::after, .stars::after::after {
  top: 1%;
  left: 5%;
  animation: stars 1s 0.5s linear infinite;
  background: #ffffff;
}

@keyframes stars {
  50% {
    opacity: 1;
  }
}
@keyframes lights {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0.4;
  }
  70% {
    opacity: 0.7;
  }
  100% {
    opacity: 0.1;
  }
}
@keyframes sky {
  20%, 85% {
    filter: brightness(100%);
    opacity: 0;
  }
  30%, 70% {
    filter: brightness(100%);
    opacity: 1;
  }
  40%, 60% {
    filter: brightness(40%);
    opacity: 1;
  }
}
@keyframes sun {
  20%, 80% {
    filter: blur(10px) brightness(100%);
  }
  27%, 73% {
    filter: blur(10px) brightness(200%);
  }
  100% {
    transform: rotate(360deg);
  }
}/*# sourceMappingURL=sky.css.map */